import { is_same } from "../serialize.mjs";

const T = [0, [0, 2]];
const F = [0, [0, 1]];

export default {
	check: expr => {
		if (is_same(expr, T)) return true;
		if (is_same(expr, F)) return true;
		return false;
	},
	render: (expr, prettify) => {
		if (is_same(expr, T)) return "T";
		if (is_same(expr, F)) return "F";
	},
};
