export function transpile (program) {
	return call_fn(program);
}

function call_fn (fn, env = []) {
	if (typeof fn === "number") {
		while (fn > 1) {
			fn--;
			env = env[1];
		}
		return env[0];
	} else if (fn[0] === 0) {
		return arg => call_fn(fn[1], [arg, env]);
	} else {
		return call_fn(fn[0], env)(call_fn(fn[1], env));
	}
}
